Bug 169114 - Gwenview cache does not get refreshed
Summary: Gwenview cache does not get refreshed
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: 2.1
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-14 12:01 UTC by Unai Garro
Modified: 2012-10-19 13:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Unai Garro 2008-08-14 12:01:00 UTC
Version:            (using Devel)
Installed from:    Compiled sources
Compiler:          gcc 4.2.3  
OS:                Linux

If one displays an image using gwenview (either in gwenview app or in the kpart), the image gets cached and even if the image is edited, it does not get refreshed anymore until the application is restarted.

Straightforward steps to reproduce:

1) In Konqueror with kparts:
   - Open any folder containing images, in konqueror
   - Click on the image and open it (make sure konqueror is configured to open images using gwenview part, first)
   - Return to the same folder
   - Edit the image in gimp (or any other editor) and save it
   - Click on the image again in konqueror. The image is not updated

2) In Gwenview:
   - Open any image using gwenview
   - Edit the image in gimp (or any other editor) and save it
   - In gwenview, press File->Reload. The image is not updated


Out of curiosity, you can open a new konqueror instance, and check the image. It gets refreshed, but go back to the previous instance of konqueror... and the image is still cached and does not refreshed. So each instance of the kpart is caching images separately in memory.
Comment 1 Aurelien Gateau 2008-10-17 20:57:57 UTC
SVN commit 872659 by gateau:

Support reload in KPart.
BUG:169114


 M  +3 -0      gvpart.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=872659
Comment 2 Aurelien Gateau 2008-10-17 21:03:00 UTC
SVN commit 872665 by gateau:

Support reload in KPart.
BUG:169114


 M  +3 -0      gvpart.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=872665